# $Revision: 1.12 $, $Date: 2011/08/11 16:55:26 $
Summary:	PAM login module that allows a X.509 certificate based user login
Summary(pl.UTF-8):	Moduł PAM umożliwiający logowanie się w oparciu o certyfikat X.509
Name:		pam-pam_pkcs11
Version:	0.6.7
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.opensc-project.org/files/pam_pkcs11/pam_pkcs11-%{version}.tar.gz
# Source0-md5:	a0a3fbd8bf2b0b41bb00eb820239cc91
Patch0:		%{name}-pl.po-update.patch
URL:		http://www.opensc-project.org/pam_pkcs11/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	libxslt-progs
BuildRequires:	libtool
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	pcsc-lite-devel >= 1.6.0
BuildRequires:	pkgconfig
Requires:	pcsc-lite-libs >= 1.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
This PAM login module allows a X.509 certificate based user login. The
certificate and its dedicated private key are thereby accessed by
means of an appropriate PKCS#11 module. For the verification of the
users' certificates, locally stored CA certificates as well as either
online or locally accessible CRLs are used.

%description -l pl.UTF-8
Ten moduł PAM umożliwia logowanie się w oparciu o certyfikaty X.509.
Certyfikat i jego klucz prywatny są odczytywane poprzez odpowiedni
moduł PKCS#11. Do weryfikacji certyfikatów użytkowników używane są
lokalnie przechowywane certyfikaty CA albo dostępne lokalnie lub
zdalnie CRL.

%prep
%setup -q -n pam_pkcs11-%{version}
%patch0 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I aclocal
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-curl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/pam_pkcs11.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pam_pkcs11/*.la

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{pt_br,pt_BR}

%find_lang pam_pkcs11

%clean
rm -rf $RPM_BUILD_ROOT

%files -f pam_pkcs11.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/{README.*,*.html,*.css} etc/*.example
%attr(755,root,root) %{_bindir}/card_eventmgr
%attr(755,root,root) %{_bindir}/pkcs11_*
%attr(755,root,root) %{_bindir}/pklogin_finder
%attr(755,root,root) /%{_lib}/security/pam_pkcs11.so
%dir %{_libdir}/pam_pkcs11
%attr(755,root,root) %{_libdir}/pam_pkcs11/*.so
%{_mandir}/man1/card_eventmgr.1*
%{_mandir}/man1/pkcs11_*.1*
%{_mandir}/man1/pklogin_finder.1*
%{_mandir}/man8/pam_pkcs11.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_pkcs11.spec,v $
Revision 1.12  2011/08/11 16:55:26  qboosh
- updated to 0.6.7
- updated pl.po-update patch

Revision 1.11  2010/12/09 18:55:43  qboosh
- updated to 0.6.6
- updated pl.po-update patch

Revision 1.10  2010/11/13 08:22:30  qboosh
- updated to 0.6.5
- updated pl.po-update patch, removed obsolete pcsc-update patch

Revision 1.9  2010/08/11 20:19:25  qboosh
- updated to 0.6.4
- added pcsc-update patch to build with current pcsc-lite
- added pl.po-update patch instead of old (already merged upstream) pl.po file

Revision 1.8  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.7  2007/06/14 20:20:04  qboosh
- updated to 0.6.0
- added pl.po

Revision 1.6  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.4  2006/03/21 08:49:30  qboosh
- updated URLs

Revision 1.3  2006/01/09 09:28:51  qboosh
- updated Source0 URL

Revision 1.2  2005/10/12 08:56:59  qboosh
- more specific URL

Revision 1.1  2005/10/06 13:44:00  qboosh
- new
